/*
 * Copyright (c) Members of the EGEE Collaboration. 2004.
 * See http://www.eu-egee.org/partners/ for details on the copyright holders.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 *  GLite Data Transfer Agents: ChannelViewJobDAO Class
 *
 *  Authors: Paolo Badino <paolo.badino@cern.ch>
 *  Version info: $Id: JobDAO.h,v 1.2 2006/08/14 08:37:46 badino Exp $
 *  Release: $Name:  $
 *
 */
#ifndef GLITE_DATA_TRANSFER_AGENTS_DAO_CHANNEL_JOBDAO_H_
#define GLITE_DATA_TRANSFER_AGENTS_DAO_CHANNEL_JOBDAO_H_

#include "glite/data/transfer/agent/model/Job.h"
#include "glite/data/transfer/agent/dao/JobDAO.h"

namespace glite   {
namespace data    {
namespace transfer{
namespace agent   {
namespace dao     {
namespace channel {

/**
 * Data Access Object For the model::Job class
 * @interface
 */
class JobDAO : public glite::data::transfer::agent::dao::JobDAO {
public:
    /**
     * Destructor
     */
    virtual ~JobDAO(){}
        
    /**
     * Return the list of job Ids that need to be updated since the related files
     * were modified by the VO Agent: Job state should be active and the related 
     * file states can only be Done, Canceled, Hold or Failed 
     */
    virtual void getJobsToFix(agents::dao::StringArray& job_ids, unsigned int limit = 0) /*throw (DAOException,DAOLogicError)*/ = 0;
};

} // End namespace channel
} // End namespace dao
} // End namespace agent
} // End namespace transfer
} // End namespace data
} // End namespace glite


#endif //GLITE_DATA_TRANSFER_AGENTS_DAO_CHANNELVIEWJOBDAO_H_
