/*
 * Copyright (c) Members of the EGEE Collaboration. 2004.
 * See http://www.eu-egee.org/partners/ for details on the copyright holders.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 *  GLite Data Transfer Agents: JobInternalFlags Class
 *
 *  Authors: Paolo Badino <paolo.badino@cern.ch>
 *  Version info: $Id: JobFlags.h,v 1.5 2007/03/16 17:10:33 badino Exp $
 *  Release: $Name:  $
 *
 */
#ifndef GLITE_DATA_TRANSFER_AGENTS_JOBFLAGS_H_
#define GLITE_DATA_TRANSFER_AGENTS_JOBFLAGS_H_

#include <string>

namespace glite   {
namespace data    {
namespace transfer{
namespace agent   {
    
extern const char * const JOB_PARAM_DISABLE_DELEGATION;
extern const char * const JOB_PARAM_SKIP_RESOLUTION;
extern const char * const JOB_PARAM_SKIP_REGISTRATION;
extern const char * const JOB_PARAM_MOVE_MASTER_REPLICA;    
extern const char * const JOB_PARAM_SUBMIT_HOST;
extern const char * const JOB_PARAM_ALLOCATE_IN_DIFFERENT_CYCLE;
extern const char * const FILE_PARAM_OVERWRITE;
    
/*
 * get_param_value
 *
 * Extract a value from a Param List
 */
std::string get_param_value(const std::string& tag, const std::string& params);

} // End namespace agent
} // End namespace transfer
} // End namespace data
} // End namespace glite

#endif //GLITE_DATA_TRANSFER_AGENTS_JOBFLAGS_H_
