/*
 * Copyright (c) Members of the EGEE Collaboration. 2004.
 * See http://www.eu-egee.org/partners/ for details on the copyright holders.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 *  GLite Data Transfer Agents: PythonRetry Class
 *
 *  Authors: Paolo Badino <paolo.badino@cern.ch>
 *  Version info: $Id: PythonRetry.h,v 1.2 2006/08/14 08:38:12 badino Exp $
 *  Release: $Name:  $
 *
 */
#ifndef GLITE_DATA_TRANSFER_AGENTS_ACTION_VO_PYTHON_PYTHONRETRY_H_
#define GLITE_DATA_TRANSFER_AGENTS_ACTION_VO_PYTHON_PYTHONRETRY_H_

#include "glite/data/transfer/agent/action/vo/Retry.h"
#include "glite/data/transfer/agent/action/ActionFactoryMethod.h"

namespace glite   {
namespace data    {
namespace transfer{
namespace agent   {
namespace action  {
namespace vo      {

/**
 * The purpose of that Action is to trigger the event to reschedule transfers
 * in Waiting State
 */
class PythonRetry : public Retry {
    /*
     * Declare Action Factory Method
     */
    DECLARE_FACTORY_METHOD( PythonRetry , "glite:PythonRetry");
    
public:
    /**
     * Constructor
     */
    PythonRetry();

    /**
     * Destructor
     */
    virtual ~PythonRetry();
};

} // End namespace vo
} // End namespace action
} // End namespace agent
} // End namespace transfer
} // End namespace data
} // End namespace glite

#endif //GLITE_DATA_TRANSFER_AGENTS_ACTION_VO_PYTHON_PYTHONRETRY_H_
