/*
 * Copyright (c) Members of the EGEE Collaboration. 2004.
 * See http://www.eu-egee.org/partners/ for details on the copyright holders.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 *  GLite Data Transfer Agents: BasicCatalogRetry Class
 *
 *  Authors: Paolo Badino <paolo.badino@cern.ch>
 *           Paolo Tedesco <paolo.tedesco@cern.ch>
 *  Version info: $Id: BasicCatalogRetryStrategy.h,v 1.3 2008/11/13 10:43:55 ptedesco Exp $
 *  Release: $Name:  $
 *
 */
#ifndef GLITE_DATA_TRANSFER_AGENTS_ACTION_VO_BASICCATALOGRETRYSTRATEGY_H_
#define GLITE_DATA_TRANSFER_AGENTS_ACTION_VO_BASICCATALOGRETRYSTRATEGY_H_

#include "glite/data/transfer/agent/action/vo/CatalogRetryStrategy.h"

#include <glite/data/config/service/Logger.hxx>

namespace glite   {
namespace data    {
namespace transfer{
namespace agent   {
namespace action  {
namespace vo      {

/**
 * Simple Catalog Retry Strategy
 */
class BasicCatalogRetryStrategy : public CatalogRetryStrategy{
public:
    /**
     * Constructor
     */
    BasicCatalogRetryStrategy();

    /**
     * Destructor
     */
    virtual ~BasicCatalogRetryStrategy();

    /**
     * Apply CatalogRetry Strategy
     */
    virtual CatalogRetryResult apply(const model::Job& job,const FileArray& files) /*throw (LogicError,ExecuteException)*/;
protected:
    glite::config::Logger m_logger;        
};

} // End namespace vo
} // End namespace action
} // End namespace agent
} // End namespace transfer
} // End namespace data
} // End namespace glite

#endif //GLITE_DATA_TRANSFER_AGENTS_ACTION_VO_BASICCATALOGRETRYSTRATEGY_H_
