/*
 * Copyright (c) Members of the EGEE Collaboration. 2004.
 * See http://www.eu-egee.org/partners/ for details on the copyright holders.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 *  GLite Data Transfer Agents: BasicRetry Class
 *
 *  Authors: Paolo Badino <paolo.badino@cern.ch>
 *           Paolo Tedesco <paolo.tedesco@cern.ch>
 *  Version info: $Id: BasicRetry.cpp,v 1.13 2008/11/13 10:43:55 ptedesco Exp $
 *  Release: $Name:  $
 *
 */
#include "BasicRetry.h"
#include "BasicRetryStrategy.h"
#include "BasicCatalogRetryStrategy.h"

using namespace glite::data::transfer::agent;
using namespace glite::data::transfer::agent::action;
using namespace glite::data::transfer::agent::action::vo;

/*
 * Register ActionFactory Method 
 */
REGISTER_FACTORY_METHOD( BasicRetry );
  
/*
 * BasicRetry
 *
 * Constructor
 */
BasicRetry::BasicRetry():Retry("BasicRetry",new BasicRetryStrategy(),new BasicCatalogRetryStrategy()){
}

/*
 * ~BasicRetry
 *
 * Destructor
 */
BasicRetry::~BasicRetry(){
}
