/*
 * Copyright (c) Members of the EGEE Collaboration. 2004.
 * See http://www.eu-egee.org/partners/ for details on the copyright holders.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 *  GLite Data Transfer Agent: DelegCredException Class
 *
 *  Authors: Paolo Badino <paolo.badino@cern.ch>
 *  Version info: $Id: DelegCredException.h,v 1.2 2006/08/14 08:38:30 badino Exp $
 *  Release: $Name:  $
 *
 */
#ifndef GLITE_DATA_TRANSFER_AGENT_CRED_DELEG_DELEGCREDEXCEPTION_H_
#define GLITE_DATA_TRANSFER_AGENT_CRED_DELEG_DELEGCREDEXCEPTION_H_

#include "glite/data/agents/cred/CredServiceException.h"

namespace glite   {
namespace data    {
namespace transfer{
namespace agent   {
namespace cred    {
namespace deleg   {
    
/**
 * The Exception is thrown when an error happens executing a MyProxyClient method
 */
struct DelegCredException : public glite::data::agents::cred::CredServiceException {
    /**
     * Constructor
     * @param reason [IN] the reason of the error
     */
    explicit DelegCredException(const std::string& reason):glite::data::agents::cred::CredServiceException(reason){}

    /**
     * Destructor
     */
    virtual ~DelegCredException() throw() {}
};

} // end namespace deleg
} // end namespace cred
} // end namespace agent
} // end namespace trasfer
} // end namespace data
} // end namespace glite

#endif //GLITE_DATA_TRANSFER_AGENT_CRED_DELEG_DELEGCREDEXCEPTION_H_
