/*
 * Copyright (c) Members of the EGEE Collaboration. 2004.
 * See http://www.eu-egee.org/partners/ for details on the copyright holders.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 *  GLite Data Transfer Agents: cred::DAOFactory Class
 *
 *  Authors: Paolo Badino <paolo.badino@cern.ch>
 *  Version info: $Id: CredDAOFactory.cpp,v 1.2 2006/08/14 08:38:30 badino Exp $
 *  Release: $Name:  $
 *
 */
#include "glite/data/transfer/agent/dao/cred/DAOFactory.h"

using namespace glite::data::transfer::agent;
using namespace glite::data::transfer::agent::dao;
using glite::data::agents::dao::DAOLogicError;

/*
 * Initialize Static Attirbutes
 */
cred::DAOFactory * cred::DAOFactory::s_instance = 0;

/*
 * getInstance
 *
 * Return Configured Instance
 */
cred::DAOFactory& cred::DAOFactory::instance() /*throw (DAOLogicError)*/{
    if(0 == s_instance){
        throw DAOLogicError("no cred::DAOFactory configured");
    }
    return *s_instance;
}

/*
 * DAOFactory
 *
 * Constructor
 */
cred::DAOFactory::DAOFactory(){
    // Register the instance
    if(0 == s_instance){
        s_instance = this;
    }
}
                                                                                                                          
/*
 * ~DAOFactory
 *
 * Destructor
 */
cred::DAOFactory::~DAOFactory(){
    if(this != s_instance){
        s_instance = 0;
    }
}
