/*
 * Copyright (c) Members of the EGEE Collaboration. 2004.
 * See http://www.eu-egee.org/partners/ for details on the copyright holders.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 *  GLite Data Transfer Agents: JobEventListener class
 *
 *  Authors: Paolo Badino <paolo.badino@cern.ch>
 *  Version info: $Id: JobEventListener.cpp,v 1.2 2006/08/14 08:38:43 badino Exp $
 *  Release: $Name:  $
 *
 */
#include "glite/data/transfer/agent/fsm/JobEventListener.h"
#include "EventDispatcher.h"

using namespace glite::data::transfer::agent::fsm;

/*
 * JobEventListener
 *
 * Constructor
 */
JobEventListener::JobEventListener(){
    EventDispatcher::instance().registerListener(this);
}

/*
 * ~JobEventListener
 *
 * Destructor
 */
JobEventListener::~JobEventListener(){
    EventDispatcher::instance().deregisterListener(this);
}
