/*
 * Copyright (c) Members of the EGEE Collaboration. 2004.
 * See http://www.eu-egee.org/partners/ for details on the copyright holders.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 *  GLite Data Transfer Agents: Define the FTS Class Wrapper Module
 *
 *  Authors: Paolo Badino <paolo.badino@cern.ch>
 *  Version info: $Id: FtsModule.h,v 1.5 2006/08/23 14:31:46 badino Exp $
 *  Release: $Name:  $
 *
 */
#ifndef GLITE_DATA_TRANSFER_AGENTS_PYTHON_FTS_MODULE_H_
#define GLITE_DATA_TRANSFER_AGENTS_PYTHON_FTS_MODULE_H_

#include <boost/python.hpp>
/*
 * Forward Declaration of module name
 */
#ifdef __cplusplus 
extern "C" {
#endif //__cplusplus
void init_fts(void);
#ifdef __cplusplus
}
#endif //__cplusplus

namespace glite   {
namespace data    {
namespace transfer{
namespace agent   {
namespace python  {

/*
 * Python Module Name
 */    
extern const char * const FTS_MODULE_NAME;

/*
 * get_schema_version
 *
 * Return FTS Queue Schema Version
 */
const char * get_schema_version();

} // end namespace python
} // end namespace agent
} // end namespace transfer
} // end namespace data
} // end namespace glite

#endif //GLITE_DATA_TRANSFER_AGENTS_PYTHON_FTS_MODULE_H_
