/*
 *  Copyright (c) Members of the EGEE Collaboration. 2004. 
 *  See http://www.eu-egee.org/partners/ for details on the copyright
 *  holders.  
 *
 *  Licensed under the Apache License, Version 2.0 (the "License"); 
 *  you may not use this file except in compliance with the License. 
 *  You may obtain a copy of the License at 
 *
 *      http://www.apache.org/licenses/LICENSE-2.0 
 *
 *  Unless required by applicable law or agreed to in writing, software 
 *  distributed under the License is distributed on an "AS IS" BASIS, 
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 *  See the License for the specific language governing permissions and 
 *  limitations under the License.
 *
 *  GLite Data Transfer Agents: UrlCopyException Class
 *
 *  Authors: Paolo Badino <paolo.badino@cern.ch>
 *  Version info: $Id: UrlCopyException.h,v 1.3 2007/07/04 13:02:17 ptedesco Exp $ 
 *  Release: $Name:  $
 */
#ifndef GLITE_DATA_TRANSFER_AGENTS_TS_URLCOPY_URLCOPYEXCEPTION_H_
#define GLITE_DATA_TRANSFER_AGENTS_TS_URLCOPY_URLCOPYEXCEPTION_H_

#include "glite/data/transfer/agent/ts/TransferException.h"

namespace glite   {
namespace data    {
namespace transfer{
namespace agent   {
namespace ts      {
    
/**
 * The UrlCopyException is thrown when an error happens contacting UrlCopy
 */
class UrlCopyException : public TransferException {
public:

    /**
     * Constructor
     * @param c [IN] the error Category
     * @param reason [IN] the reason of the error
     */
    UrlCopyException(
        const glite::data::transfer::agent::model::Error::Category& category, 
        const glite::data::transfer::agent::model::Error::Scope&    scope, 
        const glite::data::transfer::agent::model::Error::Phase&    phase, 
        const char *                                                reason) : 
            TransferException(category,scope,phase,reason){}
                
    /**
     * Destructor
     */
    virtual ~UrlCopyException() throw() {}
    
private:

    /**
     * Default Constructor Not Implemented
     */
    UrlCopyException();
};

} // End namespace ts
} // End namespace agent
} // End namespace transfer
} // End namespace data
} // End namespace glite

#endif //GLITE_DATA_TRANSFER_AGENTS_TS_URLCOPY_URLCOPYEXCEPTION_H_
