/*
 * Copyright (c) Members of the EGEE Collaboration. 2004.
 * See http://www.eu-egee.org/partners/ for details on the copyright holders.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 *  GLite Data Transfer Agents: FakeAction Class
 *
 *  Authors: Paolo Badino <paolo.badino@cern.ch>
 *  Version info: $Id: FakeAction.cpp,v 1.6 2006/08/14 08:39:07 badino Exp $
 *  Release: $Name:  $
 *
 */
#include "FakeAction.h"
#include "FakeActionConfig.h"

using namespace glite::data::transfer::agent::action;

/*
 * Register ActionFactory Method 
 */
REGISTER_FACTORY_METHOD( FakeAction );
        
/*
 * CheckTransferStates
 *
 * Constructor
 */
FakeAction::FakeAction(){
}

/*
 * ~CheckIntegrity
 *
 * Destructor
 */
FakeAction::~FakeAction(){
}

/*
 * execute
 *
 * Execute the Action
 */
void FakeAction::execute(const std::string& params) /*throw (ExecuteException)*/{
    static bool already_disabled = false;
    // Generate a Stub Error
    if(!already_disabled && FakeActionConfig::instance()->count() > 4){
        already_disabled = true;
        FakeActionConfig::instance()->disable(true);
        FakeActionConfig::instance()->count(0);
        throw ExecuteException("Fake Error");
    }

    // Increase counter
    FakeActionConfig::instance()->incremenet();
}
