/*
 * Copyright (c) Members of the EGEE Collaboration. 2004.
 * See http://www.eu-egee.org/partners/ for details on the copyright holders.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 *  GLite Data Transfer Agents: FakeActionConfig Class
 *
 *  Authors: Paolo Badino <paolo.badino@cern.ch>
 *  Version info: $Id: FakeActionConfig.cpp,v 1.4 2006/08/23 14:31:51 badino Exp $
 *  Release: $Name:  $
 *
 */
#include "FakeActionConfig.h"

using namespace glite::data::transfer::agent::action;

using namespace glite::config;
                                                                                                                          
/*
 * Initialize Static Attributes
 */
const char *       const FakeActionConfig::NAME = "glite-transfer-test-fake-action";
FakeActionConfig * FakeActionConfig::s_instance = 0;

extern "C" {
/*
 * create_glite_component
 *
 * Create Component instance
 */
ComponentConfiguration * create_glite_component(){
    return FakeActionConfig::instance();
}
                                                                                
/*
 * destroy_glite_component
 *
 * Destroy Component instance
 */
void destroy_glite_component(ComponentConfiguration * component){
    FakeActionConfig::finalize();
}
                                                                                
} // End extern "C"
    

/*
 * instance
 *
 * Return Singleton Instance
 */
FakeActionConfig * FakeActionConfig::instance(){
    if(0 == s_instance){
        s_instance = new FakeActionConfig();
    }
    return s_instance;
}
                                                                                                                          
/*
 * finalize the singleton
 *
 * Finalize Singleton Instance
 */
void FakeActionConfig::finalize(){
    if(0 != s_instance){
        delete s_instance;
    }
}

/*
 * FakeActionConfig
 *
 * Constructor
 */
FakeActionConfig::FakeActionConfig():
        ComponentConfiguration(NAME),m_count(0),m_disabled(false){
}
                                                                                                                          
/*
 * ~FakeActionConfig
 *
 * Destructor
 */
FakeActionConfig::~FakeActionConfig(){
}
