/**
 *  Copyright (c) Members of the EGEE Collaboration. 2004.
 *  See http://www.eu-egee.org/partners/ for details on the copyright
 *  holders.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 *  Authors: Zsolt Molnar <zsolt.molnar@cern.ch>
 *  Version info: $Id: TestProperties.h,v 1.1 2009/12/11 11:27:04 molnarzs Exp $
 *  Release: $Name:  $
 *
 */
#ifndef GLITE_DATA_TRANSFER_AGENTS_TS_TEST_PROPERTIES_H_
#define GLITE_DATA_TRANSFER_AGENTS_TS_TEST_PROPERTIES_H_

#include "testSuite.h"

namespace glite   {
namespace data    {
namespace transfer{
namespace agent   {
namespace ts      {
namespace Property {

class TestProperties : public CppUnit::TestCase
{
    CPPUNIT_TEST_SUITE( TestProperties);
        CPPUNIT_TEST(testTransferType);
        CPPUNIT_TEST(testMaxTransfers);
        CPPUNIT_TEST(testMaxBulkSize);
        CPPUNIT_TEST(testSRMGridFTPSplit);
        CPPUNIT_TEST(testSyslogFacility);
        CPPUNIT_TEST(testSyslogIdent);
        CPPUNIT_TEST(testSyslogDisable);
        CPPUNIT_TEST(testStringConverter_Property_Base);
        CPPUNIT_TEST(testStringConverter_TransferType);
        CPPUNIT_TEST(testStringConverter_SysLogFacility);
    CPPUNIT_TEST_SUITE_END();

    void testTransferType();
    void testMaxTransfers();
    void testMaxBulkSize();
    void testSRMGridFTPSplit();
    void testSyslogFacility();
    void testSyslogIdent();
    void testSyslogDisable();
    void testStringConverter_Property_Base();
    void testStringConverter_TransferType();
    void testStringConverter_SysLogFacility();
};

} // end namespace Property
} // End namespace ts
} // End namespace agent
} // End namespace transfer
} // End namespace data
} // End namespace glite

#endif // #ifndef GLITE_DATA_TRANSFER_AGENTS_TS_TEST_PROPERTIES_H_
