/**
 * Copyright (c) Members of the EGEE Collaboration. 2004.
 * See http://www.eu-egee.org/partners/ for details on the copyright holders.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 *  GLite Data Transfer Agents: UrlCopyTransferFactory tests
 *
 *  Authors: Zsolt Molnar <zsolt.molnar@cern.ch - http://www.zsoltmolnar.hu>
 *  Version info: $Id: TestSrmCopyTransferService.h,v 1.1 2009/12/11 16:14:25 molnarzs Exp $
 *  Release: $Name:  $
 *
 *  NOTE: this is a test of the STUB IMPLEMENTATION of the transfer service interface
 */
#ifndef GLITE_DATA_TRANSFER_AGENTS_TS_TEST_SRMCOPYTRANSFERSERVICE_H_
#define GLITE_DATA_TRANSFER_AGENTS_TS_TEST_SRMCOPYTRANSFERSERVICE_H_

#include "testSuite.h"
#include "SrmCopyTransferService.h"

namespace glite   {
namespace data    {
namespace transfer{
namespace agent   {
namespace ts      {

class TestSrmCopyTransferService : public CppUnit::TestCase
{
private:
    CPPUNIT_TEST_SUITE(TestSrmCopyTransferService);
        CPPUNIT_TEST(testIfPropertiesPassed);
    CPPUNIT_TEST_SUITE_END();

    /** The test set up a mock ParameterReader, and checks if the parameters
     * get properly to TransferSrmCopy start */
    void testIfPropertiesPassed();

    /** TransferSrmCopy::start test wrapper object. */
    struct TestSrmCopyStarter_ : public SrmCopyTransferService::TransferSrmCopyStarter_
    {
        virtual urlcopy::TransferSrmCopy::Ptr start(
            const urlcopy::TransferSrmCopy::Args& args,
            const std::string& prefix);

        virtual ~TestSrmCopyStarter_() {}
    };
};

} // End namespace ts
} // End namespace agent
} // End namespace transfer
} // End namespace data
} // End namespace glite

#endif // #ifndef GLITE_DATA_TRANSFER_AGENTS_TS_TEST_SRMCOPYTRANSFERSERVICE_H_
