/**
 *  Copyright (c) Members of the EGEE Collaboration. 2004.
 *  See http://www.eu-egee.org/partners/ for details on the copyright
 *  holders.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 *  Authors: Zsolt Molnar <zsolt.molnar@cern.ch>
 *  Version info: $Id: testSuite.cpp,v 1.2 2009/12/11 16:14:25 molnarzs Exp $
 *  Release: $Name:  $
 *
 */
#include "testSuite.h"
#include "TransferServiceTestCase.h"
#include "TestProperties.h"
#include "TestUrlCopyTransferFactory.h"
#include "TestUrlCopyTransferService.h"
#include "TestSrmCopyTransferService.h"

using namespace glite::data::transfer::agent::ts::Property;

// Registered tests.
CPPUNIT_TEST_SUITE_REGISTRATION(TransferServiceTestCase);
CPPUNIT_TEST_SUITE_REGISTRATION(TestProperties);
CPPUNIT_TEST_SUITE_REGISTRATION(TestUrlCopyTransferFactory);
CPPUNIT_TEST_SUITE_REGISTRATION(TestUrlCopyTransferService);
CPPUNIT_TEST_SUITE_REGISTRATION(TestSrmCopyTransferService);
